Subject: chinese fonts

From: Stephen G Simpson <[email-masked]>
Date: Wed, 26 May 1993 11:13:27 -0400

Ang writes:
 > I understand that Big5 is commonly used in Taiwan.
 > But how about CNS? Is this the standard used in Taiwan or is Big5
 > the standard?
 > Is there any software etc using CNS as the internal code instead of Big5?

I think Big5 and CNS are the same thing.

 > Besides, can someone please tell me where I can purchase Chinese fonts
 > (both outline fonts and bitmap fonts) for both simplified and traditional
 > Chinese characters?

Big5-coded traditional character 24 x 24 bitmaps in 3 different styles
(Ming, Kai, Li) are included with ET.  ET costs less than $100.  One
place to buy ET in the United States is Eagon Systems, 10 Hearthstone
Circle, Wayland, MA 01778 (phone: 508-651-9218; fax: 508-655-8908).

GB-coded simplified character 24 x 24 bitmaps in several styles are in
the public domain.  They are called CCLIB fonts.  You can ftp them
from ifcss.org, software/fonts.

Outline fonts -- I don't know for sure.  Someone here mentioned that
Twinbridge has outline fonts.  Here are some excerpts from the file
/chinese/ccnet/archive/chfonts, available for anonymous ftp at
ifcss.org.

------------

   Author: Don Hosek (dhosek@ymir, [email-masked])
   Title: Design of Oriental Characters with METAFONT
   Journal: TUGboat, Volume 10 (1989), No. 4
   Pages: 499-503

This article is a short report on the author's ongoing project of
designing Metafonts for Chinese characters.  I am hoping that this
project will result in a free or inexpensive outline font.  (For those
who don't know, Metafont is normally the outline font system that is
used with the TeX typesetting system.)

------
Several companies have made PostScript fonts: Apple, Adobe and
BrushWriter (Singerpore).  Yang YongXin, the author of XLBR and
Byx have been working on his "intellegent fonts" -- access the
characters by radicals.

-------

    Top Computech, a Canadian company located in Vancouver, have
developed 32 kinds of Postscript Chinese fonts for use under Windows.
The company claims that most English software for windows can handle
those Chinese fonts without any alteration. They are fully scalable
and can be used by Adobe Type Manager, according to their ad.. They
are given the name TopFonts.

    Though I have not got a chance to have my hands on the package,
I am really impressed by the sample printouts of those fonts. They
are claimed to be the first One-Byte dynamic Chinese fonts library
in the world, which also support Eten, GuoQiao, CangJi, WuBi, PinYin
XinTianMa, DaXueShi, and XiaLiBaRen input methods.

    Their address: Suite 208, 10 E. Pender St.
                   Vancouver, B.C. Canada V6A 1T1
                   Tel: (604) 682-5485 FAx: (604) 682-4078

----------

> Several of us are interested in a good Chinese Postscript font for
> the Mac but we have had a real hard time finding out more information.
> Does it exist??

AsiaGraphics (at <[email-masked]>) produces both complex
and simplified PostScript Chinese fonts.  However, these can only be
used on PostScript printers which support 2-byte characters.  (Most,
if not all, PostScript interpreters available in North America support
only 1-byte characters.)

Some PostScript devices which support 2-byte characters are:  Apple
LaserWriter II model NTX-J (Japan) and NTX-A (Asia), and some models
of the Linotype and Varityper typesetters.

I was recently told by AsiaGrphics that because 2-byte PostScript
printers aren't yet available in Canada, they have no plan to
release these fonts here yet.

---------